Package tigase.workgroupqueues.data.jdbc

## Class JDBCWorkgroupQueuesRepository

- java.lang.Object
- - tigase.workgroupqueues.data.jdbc.JDBCWorkgroupQueuesRepository

- All Implemented Interfaces:
    `DataSourceAware<DataRepository>`, `Repository`, `RepositoryVersionAware`, `Store`

      public class JDBCWorkgroupQueuesRepository
      extends java.lang.Object
      implements Store, RepositoryVersionAware

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tigase.db.Repository

      `Repository.Meta, Repository.SchemaId`

    - ### Nested classes/interfaces inherited from interface tigase.db.util.RepositoryVersionAware

      `RepositoryVersionAware.SchemaVersion`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ADD_QUEUEY_KEY` |
    `protected DataRepository` | `dataRepository` |
    `static java.lang.String` | `DELETE_QUEUEY_KEY` |
    `static java.lang.String` | `GET_QUEUES_KEY` |
    `static java.lang.String` | `GET_QUEUEY_KEY` |
    `protected java.util.logging.Logger` | `log` |
    `static java.lang.String` | `UPDATE_QUEUEY_KEY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JDBCWorkgroupQueuesRepository()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addWorkgroupQueue​(WorkgroupQueueEntity queue)` | Add queue entity to storage.
    `void` | `deleteWorkgroupQueue​(BareJID queueJid)` |
    `WorkgroupQueueEntity` | `getWorkgroupQueue​(BareJID queueJID)` | Loads queue entity from storage.
    `java.util.Collection<WorkgroupQueueEntity>` | `getWorkgroupQueues()` | Returns collection of known queues.
    `protected void` | `initPreparedStatements​(DataRepository dataRepository)` |
    `void` | `initRepository​(java.lang.String resource_uri, java.util.Map<java.lang.String,​java.lang.String> params)` | Method is deprecated and should not be user any more.
    `void` | `setDataSource​(DataRepository dataRepository)` | Method called to provide class with instance of a data source.
    `void` | `updateWorkgroupQueue​(WorkgroupQueueEntity queue)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.db.util.RepositoryVersionAware

      `getVersion, updateSchema`

- - ### Field Detail

    - #### ADD_QUEUEY_KEY

          public static final java.lang.String ADD_QUEUEY_KEY

      See Also:
        Constant Field Values

    - #### GET_QUEUEY_KEY

          public static final java.lang.String GET_QUEUEY_KEY

      See Also:
        Constant Field Values

    - #### DELETE_QUEUEY_KEY

          public static final java.lang.String DELETE_QUEUEY_KEY

      See Also:
        Constant Field Values

    - #### UPDATE_QUEUEY_KEY

          public static final java.lang.String UPDATE_QUEUEY_KEY

      See Also:
        Constant Field Values

    - #### GET_QUEUES_KEY

          public static final java.lang.String GET_QUEUES_KEY

      See Also:
        Constant Field Values

    - #### log

          protected final java.util.logging.Logger log

    - #### dataRepository

          protected DataRepository dataRepository

  - ### Constructor Detail

    - #### JDBCWorkgroupQueuesRepository

          public JDBCWorkgroupQueuesRepository()

  - ### Method Detail

    - #### deleteWorkgroupQueue

          public void deleteWorkgroupQueue​(BareJID queueJid)

      Specified by:
        `deleteWorkgroupQueue` in interface `Store`

    - #### addWorkgroupQueue

          public void addWorkgroupQueue​(WorkgroupQueueEntity queue)

      Description copied from interface: `Store`
      Add queue entity to storage.
      Specified by:
        `addWorkgroupQueue` in interface `Store`
      Parameters:
        `queue` - queue to add.

    - #### getWorkgroupQueue

          public WorkgroupQueueEntity getWorkgroupQueue​(BareJID queueJID)

      Description copied from interface: `Store`
      Loads queue entity from storage.
      Specified by:
        `getWorkgroupQueue` in interface `Store`
      Parameters:
        `queueJID` - JID of queue.
      Returns:
        queue instance of `null` if queue doesn't exists.

    - #### getWorkgroupQueues

          public java.util.Collection<WorkgroupQueueEntity> getWorkgroupQueues()

      Description copied from interface: `Store`
      Returns collection of known queues.
      Specified by:
        `getWorkgroupQueues` in interface `Store`
      Returns:
        collection of queues.

    - #### initRepository

          public void initRepository​(java.lang.String resource_uri,
                                     java.util.Map<java.lang.String,​java.lang.String> params)
                              throws DBInitException

      Description copied from interface: `Repository`
      Method is deprecated and should not be user any more.
      The method is called to initialize the data repository. Depending on the implementation all the initialization parameters can be passed either via `resource_uri` parameter as the database connection string or via `params` map if the required repository parameters are more complex or both.
      Specified by:
        `initRepository` in interface `Repository`
      Parameters:
        `resource_uri` - value in most cases representing the database connection string.
        `params` - is a `Map` with repository properties necessary to initialize and perform all the functions. The initialization parameters are implementation dependent.
      Throws:
        `DBInitException` - if there was an error during repository initialization. Some implementations, though, perform so called lazy initialization so even though there is a problem with the underlying repository it may not be signaled through this method call.

    - #### setDataSource

          public void setDataSource​(DataRepository dataRepository)

      Description copied from interface: `DataSourceAware`
      Method called to provide class with instance of a data source.
      Specified by:
        `setDataSource` in interface `DataSourceAware<DataRepository>`

    - #### updateWorkgroupQueue

          public void updateWorkgroupQueue​(WorkgroupQueueEntity queue)

    - #### initPreparedStatements

          protected void initPreparedStatements​(DataRepository dataRepository)
                                         throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`